Home Forums Fusion Getting a Parse error upon install

This topic contains 2 replies, has 2 voices, and was last updated by  Joshua 2 weeks ago.

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #46625

    meadowsfca
    Participant

    Getting a Parse error upon install. 5.6+ php installed

    Parse error: syntax error, unexpected ‘[‘ in /themes/fusion/inc/helpers.php on line 134

    line 134 $categories = [];

    #46626

    Joshua
    Keymaster

    Sorry about that- we did not run into bug when testing 5.6 and I’m testing on a 5.6 environment and can’t seem to reproduce this error.

    That error sounds like one from an older version of PHP (<5.4). Could you double check and make sure you're on 5.6?

    One other thing we can try is changing that line in helpers.php to this:

    $categories = array();

    If that resolves it, there may be a hidden character causing a bug, but if you get another error, it’s probably indicative of an issue with the PHP library.

    #46627

    Joshua
    Keymaster

    If you’re still having trouble, feel free to privately post back here with your login credentials and cPanel credentials and I’ll be glad to take a look for you first thing in the morning.

Viewing 3 posts - 1 through 3 (of 3 total)

You must be logged in to reply to this topic.